﻿body {
    padding: 0;
    margin: 0
}
body, input, textare {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

* {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
*, ::after, ::before {
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

    *:focus {
        outline: none !important;
    }


/* Transazione Elementi Vue Dinamici */

.Fadez-enter-active {
    animation: Fadez 220ms;
}

.Fadez-leave-active {
    animation: Fadez 220ms reverse;
}

@keyframes Fadez {
    from {
        opacity: 0;
        filter: blur(20px)
    }

    to {
        opacity: 1;
        filter: blur(0)
    }
}



.list-enter-active,
.list-leave-active {
    will-change: visibility, opacity, transform, filter !important;
    transition: visibility 120ms linear, opacity 120ms linear, transform 120ms linear, filter 200ms linear !important;
}

.list-enter-active {
    visibility: hidden;
    opacity: 0;
    transform: scale(.9);
    filter: blur(20px);
}

.list-enter-to {
    visibility: visible;
    opacity: 1;
    transform: scale(1);
    filter: blur(0);
}


.list-leave-active {
}

.list-leave-to {
    opacity: 0;
    filter: blur(20px);
}


.blurra-enter-active, .blurra-leave-active {
    will-change: visibility, opacity, filter !important;
    transition: visibility 120ms linear, opacity 120ms linear, filter 200ms linear !important;
}

.blurra-enter, .blurra-leave-to {
    opacity: 0;
    filter: blur(20px);
    visibility: hidden;
}
/* END */


/* Cielo */

.Cielo {
    position: fixed;
    width: 100vw;
    background: #4b79a1;
    background: -webkit-gradient(to top, #111a21, #071323);
    background: linear-gradient(to top, #111a21, #071323);
    background: -olinear-gradient(to top, #111a21, #071323);
    height: 100vh;
    top: 0;
    left: 0;
}

.Stelle {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 30%;
    display: block;
    background: url(../img/stars.png);
    z-index: 0;
    background-position: right;
    background-repeat: no-repeat;
    background-size: cover;
}

/* END */


.Terreno {
    position: absolute;
    width: 100%;
    height: 70%;
    top: 30%;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transform-style: preserve-3d;
    transform: rotateX(65deg) rotateZ(-72deg);
    animation: TreD 3s ease-in-out;
    padding-left: 450px;
}


@keyframes TreD {
    from {
        transform: rotateX(0) rotateZ(0);
    }

    20% {
        transform: rotateX(65deg) rotateZ(-72deg);
    }
}

.Serra {
    width: 400px;
    height: fit-content;
}

.Serra > img{
    width: 100%
}



.scene {
    width: 600px;
    height: 200px;
    perspective: none;
    transform-style: preserve-3d;
}

.box {
    width: 600px;
    height: 200px;
    position: relative;
    transform-style: preserve-3d;
}


.box__face {
    position: absolute;
    border: 2px solid lightgray;
    background-color: rgba(247, 247, 247, .3);
}

.box__face--front,
.box__face--back {
    width: 600px;
    height: 200px;
}

.box__face--right,
.box__face--left {
    width: 150px;
    height: 200px;
    left: 100px;
}

.box__face--top,
.box__face--bottom {
    width: 600px;
    height: 150px;
    top: 50px;
}


.box__face--front {
    transform: rotateY( 0deg) translateZ(75px);
}

.box__face--back {
    transform: rotateY(180deg) translateZ(75px);
}

.box__face--right {
    transform: rotateY( 90deg) translateZ(425px);
}

.box__face--left {
    transform: rotateY(-90deg) translateZ(174px);
    pointer-events: none;
}

.box__face--top {
    transform: rotateX( 90deg) translateZ(125px);
}

.box__face--bottom {
    transform: rotateX(-90deg) translateZ(74px);
}



.box__face--front {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 40px;
    transform-style: preserve-3d;
}

.Fila {
    display: flex;
    background: transparent;
    justify-content: space-around;
    transform: rotateY(0deg) translateZ(-10px);
    transform-style: preserve-3d;
}

.box__face--back {
    box-shadow: 80px 50px 150px 0 rgba(255, 255, 255, .2);
    border-top-color: rgba(0,0,0,.2) !important;
    border-left-color: rgba(0,0,0,.2) !important;
}

.box__face--right {
    border-top-color: rgba(0,0,0,.2) !important;
    border-right-color: rgba(0,0,0,.2) !important;
}
.box__face--top {
    border-top-color: rgba(0,0,0,.2) !important;
    border-right-color: rgba(0,0,0,.2) !important ;
}

.Cupola {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background-color: red;
    transform-style: preserve-3d;
}

.Fetta {
    position: absolute;
    height: 20px;
    width: 100%;
    top: 0;
    left: 0;
    background-color: yellow;
    transform: rotateX(75deg);
    transform-origin: top;
}

    .Fetta:nth-child(2) {
        transform: rotateX(50deg) translateZ(20px);
    }


.scene.Quadrato {
    transform-style: preserve-3d;
}
.scene.Quadrato, .Quadrato .box {
    width: 20px;
    height: 20px;
    transform: unset;
}
.Quadrato .box__face--front,
.Quadrato .box__face--back {
    width: 20px;
    height: 20px;
    padding: 0
}
.Quadrato .box__face--right,
.Quadrato .box__face--left {
    width: 20px;
    height: 20px;
    left: 10px;
}
.Quadrato .box__face--top,
.Quadrato .box__face--bottom {
    width: 20px;
    height: 20px;
    top: 10px;
}
.Quadrato .box__face--front {
    transform: rotateY( 0deg) translateZ(9px);
}
.Quadrato .box__face--back {
    transform: rotateY(180deg) translateZ(10px);
}
.Quadrato .box__face--right {
    transform: rotateY( 90deg) translateZ(0);
}
.Quadrato .box__face--left {
    transform: rotateY(-90deg) translateZ(19px);
}
.Quadrato .box__face--top {
    transform: rotateX( 90deg) translateZ(20px);
}
.Quadrato .box__face--bottom {
    transform: rotateX(-90deg) translateZ(0);
}


.Fila .box__face {
    box-shadow: 0 0 0 0 #FFFFFF;
    will-change: background-color, border, box-shadow;
    transition: background-color 120ms linear, border 120ms linear, box-shadow 200ms linear;
}
.Fila.Accesa .box__face {
    background-color: rgba(255, 193, 7, .5);
    border: 2px solid rgba(255, 193, 7, 1);
}
    .Fila.Accesa .box__face.box__face--back {
        box-shadow: 30px 13px 22px 15px #FFC107;
        animation: Flicker 6s linear infinite alternate;
        animation-delay: 300ms
    }

    @keyframes Flicker{
        0% {
            box-shadow: 30px 13px 22px 15px #FFC107;
        }
        20% {
            box-shadow: 30px 13px 22px 10px #FFC107;
        }
        30% {
            box-shadow: 30px 13px 22px 15px #FFC107;
        }
        40% {
            box-shadow: 30px 13px 22px 9px #FFC107;
        }
        50% {
            box-shadow: 30px 13px 22px 11px #FFC107;
        }
        60% {
            box-shadow: 30px 13px 22px 15px #FFC107;
        }
        70% {
            box-shadow: 30px 13px 22px 17px #FFC107;
        }
        80% {
            box-shadow: 30px 13px 22px 15px #FFC107;
        }
        100% {
            box-shadow: 30px 13px 22px 11px #FFC107;
        }
    }

.Fila.Disattiva .box__face {
    background-color: rgb(108 108 108 / 50%);
    border: 2px solid rgb(160 160 160);
}



.TRE {
    margin-right: 250px;
    margin-top: 140px;
}

.QUATTRO {
    margin-right: 250px;
}

.CINQUE {
    margin-top: 140px;
    margin-right: 350px;
}

.SEI {
    margin-right: 350px;
}


.scene.UNO,
.scene.UNO > .box,
.scene.UNO > .box > .box__face--front,
.scene.UNO > .box > .box__face--back,
.scene.UNO > .box > .box__face--top,
.scene.UNO > .box > .box__face--bottom,
.scene.DUE,
.scene.DUE > .box,
.scene.DUE > .box > .box__face--front,
.scene.DUE > .box > .box__face--back,
.scene.DUE > .box > .box__face--top,
.scene.DUE > .box > .box__face--bottom,
.scene.TRE,
.scene.TRE > .box,
.scene.TRE > .box > .box__face--front,
.scene.TRE > .box > .box__face--back,
.scene.TRE > .box > .box__face--top,
.scene.TRE > .box > .box__face--bottom,
.scene.QUATTRO,
.scene.QUATTRO > .box,
.scene.QUATTRO > .box > .box__face--front,
.scene.QUATTRO > .box > .box__face--back,
.scene.QUATTRO > .box > .box__face--top,
.scene.QUATTRO > .box > .box__face--bottom {
    width: 800px;
}

    .scene.UNO > .box > .box__face--right,
    .scene.DUE > .box > .box__face--right,
    .scene.TRE > .box > .box__face--right,
    .scene.QUATTRO > .box > .box__face--right {
        transform: rotateY( 90deg) translateZ(625px);
    }



.scene.CINQUE,
.scene.CINQUE > .box,
.scene.CINQUE > .box > .box__face--front,
.scene.CINQUE > .box > .box__face--back,
.scene.CINQUE > .box > .box__face--top,
.scene.CINQUE > .box > .box__face--bottom,
.scene.SEI,
.scene.SEI > .box,
.scene.SEI > .box > .box__face--front,
.scene.SEI > .box > .box__face--back,
.scene.SEI > .box > .box__face--top,
.scene.SEI > .box > .box__face--bottom {
    width: 700px;
}

    .scene.CINQUE > .box > .box__face--right,
    .scene.SEI > .box > .box__face--right {
        transform: rotateY( 90deg) translateZ(525px);
    }


.scene.UNO > .box > .box__face--bottom,
.scene.TRE > .box > .box__face--bottom,
.scene.CINQUE > .box > .box__face--bottom {
    background-color: transparent;
    border-color: transparent;
}
.scene.UNO > .box > .box__face--right,
.scene.TRE > .box > .box__face--right,
.scene.CINQUE > .box > .box__face--right {
    border-bottom-color: rgba(0,0,0,.2) !important
}
    .scene.UNO > .box > .box__face--back,
    .scene.TRE > .box > .box__face--back,
    .scene.CINQUE > .box > .box__face--back {
        border-bottom-color: rgba(0,0,0,.2) !important
    }

.scene.DUE > .box > .box__face--top,
.scene.QUATTRO > .box > .box__face--top,
.scene.SEI > .box > .box__face--top {
    background-color: transparent;
    border-color: transparent;
}
.scene.DUE,
.scene.QUATTRO,
.scene.SEI {
    transform: translateY(-1px);
}

@media screen and (max-width: 1366px) {
    .Stelle{
        height: 15%
    }

    .Terreno {
        height: 85%;
        top: 15%;
        zoom: 75%;
        padding-bottom: 75px;
    }
}




.scene.QuadroElettrico, .QuadroElettrico .box {
    width: 30px;
    height: 50px;
    transform: unset;
}

.scene.QuadroElettrico {
    transform-style: preserve-3d;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(-68px) translateZ(15px) translateX(0);
}

.QuadroElettrico .box__face--front,
.QuadroElettrico .box__face--back {
    width: 30px;
    height: 50px;
    padding: 0
}

.QuadroElettrico .box__face--right,
.QuadroElettrico .box__face--left {
    width: 70px;
    height: 50px;
    left: 0;
}

.QuadroElettrico .box__face--top,
.QuadroElettrico .box__face--bottom {
    width: 30px;
    height: 70px;
    top: 0;
}

.QuadroElettrico .box__face--front {
    transform: rotateY( 0deg) translateZ(35px);
}

.QuadroElettrico .box__face--back {
    transform: rotateY(180deg) translateZ(35px);
}

.QuadroElettrico .box__face--right {
    transform: rotateY( 90deg) translateZ(-6px);
}

.QuadroElettrico .box__face--left {
    transform: rotateY(-90deg) translateZ(34px);
}

.QuadroElettrico .box__face--top {
    transform: rotateX( 90deg) translateZ(35px);
}

.QuadroElettrico .box__face--bottom {
    transform: rotateX(-90deg) translateZ(14px);
}

.scene.QuadroElettrico .box__face,
.Fila .box__face {
    will-change: background-color, border-color;
    transition: background-color 120ms linear, border-color 120ms linear;
}
.scene.QuadroElettrico .box:hover .box__face,
.scene.QuadroElettrico.Sel .box .box__face,
.Fila:hover .box .box__face,
.Fila.Sel .box .box__face {
    background-color: rgb(244 67 54 / 40%);
    border-color: rgb(244 67 54);
    cursor: pointer
}



.Prem {
    transition: transform 100ms ease-in-out;
    user-select: none;
    -webkit-user-select: none;
    cursor: pointer;
}
    .Prem:active {
        transform: scale(.95);
    }


.ModaleV {
    background-color: #f7f7f7;
    padding: 15px;
    height: fit-content;
    width: 250px;
    position: fixed;
    top: 10vh;
    left: 10vw;
    box-shadow: 0 0 50px 0 rgba(0, 0, 0, .2);
    z-index: 11;
    padding-top: 12px;
    border-radius: 20px;
    opacity: 0;
    visibility: hidden;
    filter: blur(20px);
    transform: scale(.95);
    will-change: opacity,visibility,filter,transform;
    transition: opacity 120ms linear, visibility 120ms linear, filter 200ms linear, transform 120ms linear;
}

    .ModaleV.Vedo {
        opacity: 1;
        visibility: visible;
        filter: blur(0);
        transform: scale(1);
        will-change: opacity,visibility,filter,transform, top, left;
        transition: opacity 120ms linear, top 120ms linear, left 120ms linear, visibility 120ms linear, filter 200ms linear, transform 120ms linear;
    }

    .ModaleV::after {
        content: "";
        position: absolute;
        bottom: -40px;
        left: calc(50% - 20px);
        border-top: 20px solid #f7f7f7;
        border-right: 20px solid transparent;
        border-bottom: 20px solid transparent;
        border-left: 20px solid transparent;
    }

.Intestoz {
    font-size: 14px;
    font-style: normal;
    position: absolute;
    left: 2px;
    top: -27px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    height: 18px;
    width: 100%;
    color: #363636;
    font-weight: 500
}

.ConInto {
    margin-top: 44px !important;
    position: relative;
}

.Filtro.Doppio .ConInto {
    width: 100%;
}

.BoxRadioSel {
    width: 100%;
    background-color: white;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, .12);
    overflow: hidden;
    border-radius: 9px;
}
    .BoxRadioSel form {
        display: flex;
        height: 100%;
        width: 100%;
        padding: 3px;
    }
    .BoxRadioSel input[type=radio] {
        display: none;
    }
    .BoxRadioSel .RadioSelM {
        height: 30px;
        padding: 0 12px;
        width: 100%;
        font-size: 15px;
        line-height: 28px;
        text-align: center;
        color: #363636;
        background-color: white;
        will-change: background-color;
        transition: background-color 120ms linear;
        border-radius: 6px;
    }

    .BoxRadioSel input[type=radio]:checked + label {
        background-color: #ffc107;
        font-weight: 500;
    }
.BoxRadioSel .RadioSelM em {
    font-style: normal;
}

.NomeSettore {
    margin: 0;
    border: 0;
    padding: 0;
    background: transparent;
    font-size: 20px;
    font-weight: 500;
    padding-left: 2px;
    width: 100%;
}

.DoppioText{
    width: 100%;
    gap: 15px;
    display: flex
}
    .DoppioText input {
        height: 30px;
        font-size: 15px;
        text-align: center;
        color: #363636;
        width: 100%;
        border: 0;
        padding: 0;
        margin: 0;
        background-color: white;
        box-shadow: 0 0 20px 0 rgba(0, 0, 0, .12);
        overflow: hidden;
        border-radius: 9px;
        font-weight: 500;
    }

.Ultimo {
    color: #363636;
    font-weight: 500;
    font-size: 14px;
    text-align: center;
    width: 100%;
    display: block;
    margin-top: 15px;
}

.Riepolo {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.RigoPol {
    display: flex;
}

    .RigoPol > span {
        white-space: nowrap;
        font-weight: 500;
        font-size: 14px;
        color: #363636;
        padding-left: 2px;
        padding-right: 10px;
        line-height: 34px;
        min-width: 70px
    }

.Polo {
    width: fit-content;
    background-color: white;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, .05);
    overflow: hidden;
    border-radius: 9px;
    padding: 3px;
    display: flex; 
    gap: 3px;
}

.Polos {
    display: flex;
    gap: 3px;
}

.Mino, .Spino {
    background-color: #ffc107;
    font-weight: 500;
    height: 30px;
    padding: 0 12px;
    width: 100%;
    font-size: 15px;
    line-height: 28px;
    text-align: center;
    color: #363636;
    border-radius: 6px;
    width: 43px;
    flex: none
}
.Spino {
    background-color: #cecece;
}


.Polos:not(.Lui) .Mino,
.Polos:not(.Lui) .Spino {
    color: transparent;
    background-color: transparent;
}

.RigoPol.Auto .Polo {
    gap: 0;
    width: 100%;
}

    .RigoPol.Auto .Polos:not(.Lui) .Mino,
    .RigoPol.Auto .Polos:not(.Lui) .Spino {
        display: none
    }
    .RigoPol.Auto .Polos.Lui .Mino,
    .RigoPol.Auto .Polos.Lui .Spino {
        width: calc(50% - 1.5px)
    }
    .RigoPol.Auto .Polos.Lui {
        width: 100%
    }

    #ModaleQuadro {
        width: fit-content;
    }


.RigoPol.Spento {
    opacity: .4;
}